# See LICENSE.incore for license details

[uatg]

# number of processes to spawn. Default = 1
jobs = 16

# [info, error, debug] set verbosity level to view different levels of messages.
verbose = debug
# [True, False] the clean flag removes unnecessary files from the previous runs and cleans directories
clean = False

# Enter the modules whose tests are to be generated/validated in comma separated format.
# Run 'uatg --list-modules -md <path> ' to find all the modules that are supported.
# Use 'all' to generate/validate all modules
modules = all

# Absolute path to chromite_uatg_tests/modules Directory
module_dir = ./chromite_uatg_tests/modules/

index_file = ./chromite_uatg_tests/modules/index.yaml

excluded_modules = None

# Directory to dump assembly files and reports
work_dir = ./work/

# location to store the link.ld linker file. By default it's the target directory within chromite_uatg_tests
linker_dir = ./chromite_uatg_tests/target


# Absolute Path of the yaml file containing the signal aliases of the DUT 
alias_file = ./aliasing.yaml

# [True, False] If the gen_test_list flag is True, the test_list.yaml needed for running tests in river_core are generated automatically.
# Unless you want to run individual tests in river_core, set the flag to True
gen_test_list = True
# [True, False] If the gen_test flag is True, assembly files are generated/overwritten
gen_test = True
# [True, False] If the val_test flag is True, Log from DUT are parsed and the modules are validated
val_test = False
# [True, False] If the gen_cvg flag is True, System Verilog cover-groups are generated
gen_cvg = False

# Path to the yaml files containing DUT Configuration.
# If you are using the CHROMITE core, uncomment the following line by removing the '#'.
# By doing this, UATG will use the checked YAMLs of Chromite


[uatg.configuration_files]
isa = ../build/isa_checked.yaml
core = ../build/core_checked.yaml
custom = ../build/custom_checked.yaml
csr_grouping = ../sample_config/rv64imacsu/csr_grouping.yaml
debug = ../build/debug_checked.yaml
